# Modèle de données

## Concepts

```mermaid
erDiagram
    FEED 1+--1 CATEGORY : "est organisé en"
    FEED 1--1 CONFIG : "possède"
    FEED 1+--1 SOURCE_DATASET : "utilise en entrée"
    FEED 1--1 RECORDS : "produit en sortie selon sa configuration"
    CATEGORY {
        string category_id "map, area, langage"
    }
    FEED {
        string feed_id PK
    }
    CONFIG {
        string feed_id PK
        array  configuration
    }
    SOURCE_DATASET {
        string dataset_id "source_id or file_id"
        string dataset_type "primary, addon"
        string version "=local_file or source version"
        date last_update "=source or local_site"
    }
    RECORDS {
        array fields
        array records
        string hash
    }
    LOG {
        string feed_id
        array dataset_list
        string hash "=records_list hash"
        int records_count
    }
    RECORDS 1+--1 TARGET_DATASET : "est stocké dans"
    RECORDS 1--1+ SOURCE_DATASET : "est signé par la version de chaque"
    TARGET_DATASET 1+--1 TARGET_TABLE : "est stocké dans"
    TARGET_DATASET 1+--1 TARGET_FILE : "est stocké dans"
    TARGET_DATASET 1--1 LOG : "est consigné dans"
    TARGET_DATASET {
        string target_id
    }
    TARGET_FILE {
        string file_id "=target_id"
        string extension
        string delimiter 
    }
    TARGET_TABLE {
        string tablename "=target_id"
        array fields
    }
    SOURCE_DATASET 1--1 SOURCE_FILE : "est défini par"
    SOURCE_DATASET 1--1 SOURCE : "est défini par (web)"
    SOURCE_FILE {
        string file_id "nom du fichier"
        date last_update "mise à jour du fichier"
        string version "1 to n"
        string build_by_uri
    }
    SOURCE_FILE 1--1 SOURCE : "est construit à partir"
    SOURCE {
        string source_id
        string format "file, web, api"
        string url
        string license
        date last_update
        string version "optional"
        array provider "name + url"
    }
```